# $Revision: 1.18 $, $Date: 2004/08/18 21:32:21 $
Summary:	intel2gas is a x86 assembly source converter
Summary(pl):	Konwerter kodu rdowego w asemblerze x86
Name:		intel2gas
Version:	1.3.3
Release:	7
License:	GPL
Group:		Development/Tools
Source0:	http://www.niksula.cs.hut.fi/~mtiihone/intel2gas/%{name}-%{version}.tar.gz
# Source0-md5:	40c85d961f6214903d80dc7f233a2c6f
Source1:	%{name}.1
Patch0:		%{name}-DESTDIR.patch
URL:		http://www.niksula.cs.hut.fi/~mtiihone/intel2gas/
BuildRequires:	libstdc++-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This program converts your assembly source files from NASM to gas or
the other way around so you don't have to have the other assembler to
build them.

%description -l pl
Ten program konwertuje pliki rdowe w asemblerze ze skadni NASM do
gas lub odrotnie.

%prep
%setup -q
%patch -p1

%build
CXXFLAGS="%{rpmcflags} -fno-rtti -fno-exceptions -fno-implicit-templates"
%configure2_13
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

install -d $RPM_BUILD_ROOT%{_mandir}/man1
install %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

%files
%defattr(644,root,root,755)
%doc BUGS ChangeLog DATAFILES README THANKS TODO
%attr(755,root,root) %{_bindir}/intel2gas
%{_datadir}/intel2gas
%{_mandir}/man1/intel2gas.1*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%clean
rm -rf $RPM_BUILD_ROOT
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: intel2gas.spec,v $
Revision 1.18  2004/08/18 21:32:21  undefine
- release 7

Revision 1.17  2003/12/29 14:28:36  undefine
- release 6 to rebuild with ac

Revision 1.16  2003/05/28 12:59:11  malekith
- massive attack: source-md5

Revision 1.15  2003/05/25 05:48:55  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.14  2002/11/27 21:10:39  juandon
- new %%doc

Revision 1.13  2002/04/22 07:54:09  ankry
- added intel2gas.1 man page from Debian
- release 5

Revision 1.12  2002/04/16 22:02:03  marcus
- rel.4.

Revision 1.11  2002/02/22 23:29:04  kloczek
- removed all Group fields translations (our rpm now can handle translating
  Group field using gettext).

Revision 1.10  2002/01/18 02:13:20  kloczek
perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.9  2001/11/30 09:34:09  qboosh
- pl translations

Revision 1.8  2001/10/02 23:36:10  blues
- release 3
- configure2_13 used - this is not ac/am

Revision 1.7  2001/05/30 08:35:04  kloczek
- release 2.

Revision 1.6  2001/05/02 16:29:06  qboosh
- adapterized and made spec %%debug ready or added using %%rpm*flags macros

Revision 1.5  2000/11/16 22:22:43  kloczek
- updated to 1.3.3,
- use new rpm automation.

Revision 1.4  2000/06/09 07:54:42  kloczek
- more %%{__make} macros.

Revision 1.3  2000/06/09 07:23:03  kloczek
- added using %%{__make} macro.

Revision 1.2  2000/05/18 00:53:40  kloczek
- completly rewrited in PLD style,
- added best C++ optimization,
- added DESTDIR patch.
